# 
#   makefile for the symmetry program         findsym
# 

################################################################
#
#    add the name of  YOUR  compiler/operating system
#    and modify the compiler options FFLAGS  ---   if necessary   
#
#    NOTE: the executable will be copied to the parent 
#          directory  (../)  of your recent working directory
#
################################################################
include ../make.inc
################################################################

RM = rm -f
CP = cp

BINDIR = ..

.SUFFIXES: .o .f

.f.o:
	$(FC) $(FFLAGS) -c $<

all: findsym


# program modules used 

OB=strdef.o symdata.o blasext.o readdst.o


findsym: $(OB)
	$(FC) $(LFLAGS) -o findsym $(OB)
	$(CP) findsym $(BINDIR)/findsym$(VERS)

clean:
	$(RM) *.o findsym  $(BINDIR)/findsym$(VERS)


